// PLAYER MODELS

models/players/orbb/epevil_light
{
	{
		map models/players/orbb/epevil_light.tga
		rgbGen identityLighting
	}
}

models/players/orbb/epevil_tail
{
	{
		map models/players/orbb/epevil_tail.tga
		rgbGen lightingDiffuse
	}
	{
		map models/players/orbb/epevil_tail_glow.tga 
		blendfunc add
	}
}


models/players/orbb/epevil
{
	{
		map models/players/orbb/epevil.tga
		blendfunc blend
		rgbGen lightingDiffuse
	}

	{
		map models/players/orbb/epevil_glow.tga 
		blendfunc add
	}
}

models/players/epevilspider
{
	cull disable
	{
		map models/players/epevilspider/taran1.tga
		rgbGen lightingDiffuse
	}
	{
		map models/players/epevilspider/taran2.tga
		rgbGen lightingDiffuse
	}
	{
		map models/players/epevilspider/taran3.tga
		rgbGen lightingDiffuse
	}
}

models/players/klesk/epevil
{
	cull disable
	{
		map models/players/klesk/epevil.tga
		rgbGen lightingDiffuse
		alphaFunc GE128
	}
	{
		map models/players/klesk/epevil.tga
		blendfunc blend
		rgbGen lightingDiffuse
		alphaFunc GT0
	}
}


// LEVEL

models/players/orbb/epevilorbb_h2
{      
	{
		map models/players/orbb/epevilorbb_h2.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
	} 
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
		rgbGen lightingDiffuse
	}  
	{
		map models/players/orbb/epevilorbb_h2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingDiffuse
	}
}

textures/ep_evil/chain
{
	qer_editorimage textures/ep_evil/chain.tga
	surfaceparm trans
	cull none
	{
		map textures/ep_evil/chain.tga
		blendFunc blend
	}
}

textures/ep_evil/plant1
{
	cull disable
	surfaceparm alphashadow	
	sort 6
	{
		map textures/ep_evil/plant1.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ep_evil/plant2
{
	cull disable
	surfaceparm alphashadow	
	sort 6
	{
		map textures/ep_evil/plant2.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ep_evil/plant3
{
	cull disable
	surfaceparm alphashadow	
	sort 6
	{
		map textures/ep_evil/plant3.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ep_evil/plant4
{
	cull disable
	surfaceparm alphashadow	
	sort 6
	{
		map textures/ep_evil/plant4.tga
		blendFunc blend
		rgbGen identity
	}
	//{
	//	map $lightmap
	//	rgbGen identity
	//	blendFunc GL_DST_COLOR GL_ZERO
	//}
}

textures/ep_evil/skullsvert01a_nonsolid {
	qer_editorimage textures/ep_evil/skullsvert01a.tga
	surfaceparm nonsolid
	{
		map textures/ep_evil/skullsvert01a.tga
		rgbGEn identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ep_evil/steam
{
	qer_editorimage textures/ep_evil/steam1_editor_image.tga
	cull disable
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nonsolid
	deformVertexes wave 50 sin 0 3 0 .3
	deformVertexes move .3 .5 0  sin 0 .5 0 0.2
	{
		map textures/ep_evil/steam01.tga
		tcmod scroll 0 0.3
		blendFunc blend
		rgbGen vertex
	}
}

textures/ep_evil/flame1_nolight
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ep_evil/clear_calm1_flow
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll 0 .5
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ep_evil/flatlavahell_1500_flow
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable	
	{
		map textures/liquids/lavahell.tga
		tcMod scroll 0 -.1
	} 
}

textures/ep_evil/skulleye
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	} 
}

textures/ep_evil/pitted_rust_nonsolid {
	qer_editorimage textures/gothic_trim/pitted_rust.tga
	surfaceparm nonsolid
	{
		map textures/gothic_trim/pitted_rust.tga
		rgbGEn identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ep_evil/holofloor
{
	qer_editorimage textures/ep_evil/holofloor.tga
	qer_trans .6
	surfaceparm nomarks
	{
		map textures/ep_evil/holofloor.tga
		blendFunc add
		rgbGen identity
	}
	{
		map textures/ep_evil/noise.tga
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}	
}

textures/ep_evil/holobrick
{
	qer_editorimage textures/ep_evil/holobrick.tga
	qer_trans .6
	surfaceparm nomarks
	{
		map textures/ep_evil/holobrick.tga
		blendFunc add
		rgbGen identity
	}
	{
		map textures/ep_evil/noise.tga
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}	
}

textures/ep_evil/holowall
{
	qer_editorimage textures/ep_evil/holowall.tga
	qer_trans .6
	surfaceparm nomarks
	{
		map textures/ep_evil/holowall.tga
		blendFunc add
		rgbGen identity
	}
	{
		map textures/ep_evil/noise.tga
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}	
}

textures/ep_evil/ironcrosslt1_1000
{
	qer_editorimage textures/ep_evil/ironcrosslt1.tga
	q3map_lightimage textures/ep_evil/ironcrosslt1.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ep_evil/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ep_evil/ironcrosslt1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ep_evil/gore
{
	qer_editorimage textures/ep_evil/liquidgore.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm water

	cull disable

	{
		map textures/ep_evil/liquidgore.tga
		tcMod turb .3 .2 1 .05
	}
}

textures/ep_evil/gore_scroll
{
	qer_editorimage textures/ep_evil/liquidgore.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid

	cull disable

	{
		map textures/ep_evil/liquidgore.tga
		tcMod scroll 0 .1
	}
}

textures/ep_evil/bellyfog
{

	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .5 0 0 ) 640
}

textures/ep_evil/flyclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
	surfaceparm nosteps
}

textures/ep_evil/bloodsmear
{
	cull disable
	surfaceparm alphashadow	
	surfaceparm flesh
	sort 6
	{
		map textures/ep_evil/bloodsmear.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ep_evil/black
{
	qer_editorimage textures/ep_evil/black_editorimage.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	
	{
		map textures/ep_evil/black.tga
	}
}

textures/ep_evil/black_sun
{
	qer_editorimage textures/ep_evil/black_editorimage_sun.tga
	q3map_lightimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 3 2 2 90 314 60
	q3map_surfacelight  80 
	{
		map textures/ep_evil/black.tga
	}
}

textures/ep_evil/black_nonsolid
{
	qer_editorimage textures/ep_evil/black_editorimage_ns.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	
	{
		map textures/ep_evil/black.tga
	}
}

textures/ep_evil/pentagram
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none

	{
		clampmap textures/ep_evil/pentagram.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave Sin .75 .25 0 .5
	}
}

textures/ep_evil/pentagram_rotate
{
	qer_editorimage textures/ep_evil/pentagram.tga
	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none

	{
		clampmap textures/ep_evil/pentagram.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave Sin .75 .25 0 .5
		tcMod rotate 15
	}
}


textures/ep_evil/buttonactive
{
	qer_editorimage textures/ep_evil/button.tga

	{
		map textures/ep_evil/button.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ep_evil/buttoverlay.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 .5
	}
}

textures/ep_evil/fog_light
{
		qer_editorimage textures/ep_evil/bellyfog.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

	fogparms ( .5 0 0 ) 2560
	//fogparms ( .5 0 0 ) 2048
}

textures/ep_evil/black_large_veins
{
	qer_editorimage textures/ep_evil/black_large_veins.tga

	{
		map textures/ep_evil/black_large.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ep_evil/black_large_veins.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .1
	}
}

textures/ep_evil/globe
{
	qer_editorimage textures/ep_evil/globe1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm	nonsolid
	surfaceparm trans
	cull none
	
	{
		clampmap textures/ep_evil/globe1.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate 45
	}
	{
		clampmap textures/ep_evil/globe2.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate -45
	}
	{
		clampmap textures/ep_evil/globe1.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate -20
	}
}